Outdated abiword version

Bug #1596 reported by Reinout van Schouwen on 2005-07-27
6
Affects Status Importance Assigned to Milestone
AbiWord
Invalid
Undecided
Hubert Figuiere
abiword (Ubuntu)
Medium
Sebastien Bacher

Bug Description

The latest stable abiword release is 2.2.8, and the current development release is 2.3.4. Yet the latest release available for Ubuntu is 2.2.7.

Ubuntu should import the development series so that translation and debugging work can be performed.

Reinout van Schouwen (reinouts) wrote :

Current state of affairs:

Latest release in 2.2 branch is 2.2.11 which contains several important (security) fixes.

Latest stable release is 2.4.0.

Mark Shuttleworth (sabdfl) wrote :

I've assigned in Ubuntu to Sebastian. Seb, how is your pre-release life looking? Would it be utter insanity to try to get AbiWord 2.4.0 into Breezy? Should we assign to one of the backports guys?

Changed in abiword:
assignee: nobody → seb128
status: New → Accepted
assignee: seb128 → nobody
status: Accepted → Rejected
Changed in abiword:
assignee: nobody → seb128
status: New → Accepted
Sebastien Bacher (seb128) wrote :

We are pretty frozen now and my list of bug to fix for 5.10 is almost clean, I can update abiword de 2.4.0 today without any problem if that's what we want. Mark, do you want to push it? Has Matt been pinged about this, packages update need approval atm.

I haven't discussed it with MDZ. It's not in the desktop install by
default, so I think I could swing it, if you can get packages that you
are happy with. Is it a complex package? If it's quite straightforward,
and you are confident about your 5.10 bug list not being in jeapardy, go
ahead and create the packages.

Reinout van Schouwen (reinouts) wrote :

Update: 2.4.1 is out, it fixes the same security issue as in 2.2.11. Tarball at http://www.abisource.com/downloads/abiword/2.4.1/source/abiword-2.4.1.tar.bz2

I heard Joshua M. Kwan (joshk) is already working on .deb packages.

Hubert Figuiere (hub) wrote :

Really make sure you get 2.4.1 as 2.4.0 as a few serious bugs + security problems.

If you need hand for that, let me know. As a wannabe MOTU and upstream maintainer I have knowledge of that :-) Not that I don't trust seb :-))

Sebastien Bacher (seb128) wrote :

The new package has been uploaded to Debian today. I've built it with the small Ubuntu changes, the package is ready for upload if you want to push it.

Mark Shuttleworth (sabdfl) wrote :

MDZ: can we go ahead with AbiWord 2.4.1? It's got a bunch of security
fixes we would need in any event. Seb has built the package and all
seems well with it.

Matt Zimmerman (mdz) wrote :

On Sat, Oct 08, 2005 at 11:33:46PM +0100, Mark Shuttleworth wrote:
> MDZ: can we go ahead with AbiWord 2.4.1? It's got a bunch of security
> fixes we would need in any event. Seb has built the package and all
> seems well with it.

No objections from me.

--
 - mdz

Mark Shuttleworth (sabdfl) wrote :

OK Seb, DOIT ;-)

Hubert Figuiere (hub) wrote :

Just a quick note about these security fixes: they are also in 2.2.11

Thanks for pushing 2.4.1 to Breezy

Changed in abiword:
status: Accepted → Fixed
Hubert Figuiere (hub) wrote :

can't be an upstream bug because bug is about the version in the distribution.

Changed in abiword:
assignee: nobody → hub
status: Unconfirmed → Rejected
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers